Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## fr.inrialpes.exmo.ontosim
Enum Measure.TYPES

    java.lang.Object
      java.lang.Enum<Measure.TYPES>
          fr.inrialpes.exmo.ontosim.Measure.TYPES

All Implemented Interfaces:
  Serializable, Comparable<Measure.TYPES>

Enclosing interface:
  Measure<O>

    public static enum Measure.TYPES

extends Enum<Measure.TYPES>

Enum Constant Summary
`dissimilarity`
`distance`
`other`
`similarity`

Method Summary
`static Measure.TYPES` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Measure.TYPES[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### similarity

    public static final Measure.TYPES similarity

### dissimilarity

    public static final Measure.TYPES dissimilarity

### distance

    public static final Measure.TYPES distance

### other

    public static final Measure.TYPES other

Method Detail

### values

    public static Measure.TYPES[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Measure.TYPES c : Measure.TYPES.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Measure.TYPES valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

(C) INRIA & friends, 2008-2009